Index: trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl
===================================================================
--- trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl	(revision 344)
+++ trunk/SRC/Documentation/xmldoc/all_plots_docbook.xsl	(revision 345)
@@ -1,5 +1,10 @@
-<?xml version="1.0" encoding="iso-8859-1" ?>
+<?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet
+version="1.0"
+xmlns:dbk="http://docbook.org/ns/docbook"
+xmlns:xl="http://www.w3.org/1999/xlink"
+xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <!--
-module : 
+module :
 generation of a docbook file for display all plots of firtsteps.xml
 
@@ -8,4 +13,6 @@
 
 update :
+fplod 2008-04-15T12:40:25Z aedon.locean-ipsl.upmc.fr (Darwin)
+adaptation to docbook 5 in and out
 fplod 2006-05-17T09:59:52Z aedon.lodyc.jussieu.fr (Darwin)
 fplod 2006-09-21T14:58:05Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -13,21 +20,22 @@
 -->
 
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
-<xsl:output 
- method="xml" 
- indent="yes" 
- encoding="iso-8859-1"
- omit-xml-declaration="no"
- doctype-public="-//OASIS//DTD DocBook XML V4.2//EN"
- doctype-system="http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"/>
+<xsl:output
+ method="xml"
+ indent="yes"
+ omit-xml-declaration="no"/>
 
- <xsl:template match="article"> 
-  <article id="all_plots" lang="en">
+<xsl:template match="/">
+ <xsl:element name="article">
+ <xsl:attribute name="version">5.0</xsl:attribute>
+ <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
+ <xsl:attribute name="xml:lang">en</xsl:attribute>
+ <xsl:attribute name="xml:id">all_plots</xsl:attribute>
+
   <title>All plots of SAXO demo</title>
-    <articleinfo>
+    <info>
     <authorgroup>
-      <author><firstname>Sébastien</firstname> <surname>Masson</surname> <email>smasson_at_lodyc.jussieu.fr</email></author>
-      <author><firstname>Françoise</firstname> <surname>Pinsard</surname> <email>Francoise.Pinsard_at_lodyc.jussieu.fr</email></author>
+      <author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname> <email>smasson_at_lodyc.jussieu.fr</email></author>
+      <author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname> <email>Francoise.Pinsard_at_lodyc.jussieu.fr</email></author>
     </authorgroup>
     <keywordset>
@@ -35,62 +43,70 @@
       <keyword>SAXO</keyword>
     </keywordset>
-    </articleinfo>
-    <sect1 id="intro">
+    </info>
+    <sect1 xml:id="intro">
     <title>Introduction</title>
     <para>
-      This page gathers all plots used in <ulink url="firststeps.html">firststeps</ulink> and display them in one unique page to facilitate the search of plots examples.
+      This page gathers all plots used in <link xl:href="firststeps.html">firststeps</link> and display them in one unique page to facilitate the search of plots examples.
     </para>
     </sect1>
-    <sect1 id="allplots">
+    <sect1 xml:id="allplots">
     <title>All plots</title>
+     <xsl:element name="itemizedlist">
 
-<!-- for all ulink where url is something .png
-plot it with the title of the closest ancestor which have an id attibutes
+<!-- for all links where xl:href is something .png
+plot it with the title of the closest ancestor which have an xml:id attribute
 -->
-<xsl:for-each select="self::node()/descendant-or-self::node()/child::ulink[contains(@url,'png')]">
-  <xsl:sort order="ascending" data-type="text" select="@url"/>
+<!-- version dbk 4 pour mémoire
+<xsl:for-each select="self::node()/descendant-or-self::node()/child::link[contains(@xl:href,'png')]">
+-->
+<xsl:for-each select="//dbk:link[contains(@xl:href,'png')]">
+  <xsl:sort order="ascending" data-type="text" select="@xl:href"/>
   <xsl:call-template name="plot">
-      <xsl:with-param name="url" select="@url"/>
-      <xsl:with-param name="id" select="(ancestor-or-self::node()/@id)[last()]"/>
-      <xsl:with-param name="title" select="(ancestor-or-self::node()/title)[last()]"/>
+      <xsl:with-param name="href" select="@xl:href"/>
+      <xsl:with-param name="id" select="(ancestor-or-self::node()/@xml:id)[last()]"/>
+      <xsl:with-param name="title" select="(ancestor-or-self::node()/dbk:title)[last()]"/>
   </xsl:call-template>
 </xsl:for-each>
+   </xsl:element>
   </sect1>
-  </article>
- </xsl:template> 
+  </xsl:element>
+</xsl:template>
 
-    <xsl:template name="plot"> 
-        <xsl:param name="url"/>  
-        <xsl:param name="id"/>  
-        <xsl:param name="title"/>  
-        <xsl:element name="para">
-        <xsl:element name="mediaobject">
+    <xsl:template name="plot">
+        <xsl:param name="href"/>
+        <xsl:param name="id"/>
+        <xsl:param name="title"/>
+        <xsl:element name="listitem">
+         <xsl:element name="para">
+          [plot <xsl:value-of select="$href"/>]
+         </xsl:element> 
+         <xsl:element name="para">
+          <xsl:element name="mediaobject">
             <xsl:element name="imageobject">
                 <xsl:element name="imagedata">
-                    <xsl:attribute name="fileref"><xsl:value-of select="$url"/></xsl:attribute>
+                    <xsl:attribute name="fileref"><xsl:value-of select="$href"/></xsl:attribute>
                     <xsl:attribute name="format">PNG</xsl:attribute>
                     <xsl:attribute name="valign">top</xsl:attribute>
                 </xsl:element>
             </xsl:element>
+            <xsl:element name="textobject">
+             <xsl:element name="phrase">
+              [plot <xsl:value-of select="$href"/>]
+             </xsl:element>
+            </xsl:element>
+            <xsl:element name="caption">
+             <xsl:element name="para">
+              cf. 
+              <xsl:element name="link">
+               <xsl:attribute name="xl:href">firststeps.html#<xsl:value-of select="$id"/></xsl:attribute>
+                <xsl:value-of select="$title"/>
+              </xsl:element>
+              <xsl:text> in </xsl:text><xsl:value-of select="//dbk:title"/>
+             </xsl:element>
+            </xsl:element>
+           </xsl:element>
+          </xsl:element>
         </xsl:element>
-        <xsl:element name="textobject">
-            <xsl:element name="phrase">
-                [plot <xsl:value-of select="$url"/>]
-            </xsl:element>
-        </xsl:element>
-        <xsl:element name="caption">
-            <xsl:element name="para">
-            cf. <xsl:element name="ulink">
-<!--
-                    <xsl:attribute name="url">firststeps.html#<xsl:value-of select="$id"/></xsl:attribute>
--->
-                    <xsl:attribute name="url">firststeps.html#<xsl:value-of select="$id"/></xsl:attribute>
-                <xsl:value-of select="$title"/>
-                </xsl:element>
-                <xsl:text>in First steps with SAXO</xsl:text> <!--++ récupérer le titre de l'article -->
-            </xsl:element>
-        </xsl:element>
-        </xsl:element>
-    </xsl:template> 
+    </xsl:template>
 
 </xsl:stylesheet>
Index: trunk/SRC/Documentation/xmldoc/doidldoc.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 344)
+++ trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 345)
@@ -6,4 +6,10 @@
 # update :
 # $Id$
+# fplod 2008-01-10T08:13:41Z aedon.locean-ipsl.upmc.fr (Darwin)
+# version 
+# http://cookbook.idldev.com/idldoc-3.0rc2.zip
+# fplod 2008-01-03T09:59:18Z aedon.locean-ipsl.upmc.fr (Darwin)
+# version 
+# http://cookbook.idldev.com/idldoc-3.0rc1.zip
 # fplod 2007-12-12T09:47:04Z aedon.locean-ipsl.upmc.fr (Darwin)
 # version
@@ -42,4 +48,5 @@
 root="../../"
 root="/Users/fplod/SAXO_DIR_ws/SRC/" #++ à cause du cd pour éviter expand_path
+# ++ pb avec /Users/fplod/SAXO_DIR_ws/SRC/ToBeReviewed/UTILITAIRE/oups.pro ELEMENTS ... à cause de todo
 #root="/usr/home/fplod/src/mglib/" # overriding root for test ++
 #
@@ -49,7 +56,9 @@
 #idldoc_dir="/usr/home/fplod/src/idldoc-3.0b4-src/" # overriding idldoc_dir for test ++
 idldoc_dir="/usr/home/fplod/src/idldoc-3.0b4/" # overriding idldoc_dir for test ++
+idldoc_dir="/usr/home/fplod/src/idldoc-3.0rc2/" # overriding idldoc_dir for test ++
 template_location=${idldoc_dir}/templates/
 #++ pas fini 
-#template_location=${idldoc_dir}/templates_dbk/ # overriding TEMPLATE_LOCATION++
+template_location=${idldoc_dir}/templates_dbk/ # overriding TEMPLATE_LOCATION++
+template_location=/usr/home/fplod/src/idldoc-3.0b3/templates_dbk/ # overriding TEMPLATE_LOCATION++
 #
 # memorize current directory
@@ -65,4 +74,5 @@
 
 #+++ a remettre pour dbk template_location="${template_location}", $
+#++MARKUP_STYLE="verbatim", $
 # !path = expand_path('+' + '${idldoc_dir}')
 cd ${idldoc_dir}
@@ -71,9 +81,11 @@
 cat <<EOF > ${pro}
 idldoc,root="${root}",title="${title}", $
+CHARSET="ISO-8859-15", $
 LOG_FILE="${log}", $
 output="${outputtmp}", $
+template_prefix="dbk", $
 template_location="${template_location}", $
-COMMENT_STYLE="latex", $
-overview="../../overview", /statistics
+overview="../../overview", /statistics, $
+COMMENT_STYLE="assistant"
 exit
 EOF
Index: trunk/SRC/Documentation/xmldoc/firststeps_pre.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/firststeps_pre.sh	(revision 345)
+++ trunk/SRC/Documentation/xmldoc/firststeps_pre.sh	(revision 345)
@@ -0,0 +1,139 @@
+#! /bin/sh
+#
+# module :
+# ++ working on firststeps.xml before processing for HTML and wiki
+#
+# update :
+# $Id$
+# fplod 2008-04-15T10:53:26Z aedon.locean-ipsl.upmc.fr (Darwin)
+# creation from makehtml.sh
+# adapation to docbook 5.0
+#
+set -u
+set -o posix
+#
+# figures lists
+cd ./figpng
+#
+figsplt_lev=""
+for i in tst_plt_lev_[0-9][0-9].png
+do
+  figsplt_lev="${figsplt_lev} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltz_lev=""
+for i in tst_pltz_lev_[0-9][0-9].png
+do
+  figspltz_lev="${figspltz_lev} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltt_lev=""
+for i in tst_pltt_lev_[0-9][0-9].png
+do
+  figspltt_lev="${figspltt_lev} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+#
+figsplt_orca2=""
+for i in tst_plt_orca2_[0-9][0-9].png
+do
+  figsplt_orca2="${figsplt_orca2} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltz_orca2=""
+for i in tst_pltz_orca2_[0-9][0-9].png
+do
+  figspltz_orca2="${figspltz_orca2} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltt_orca2=""
+for i in tst_pltt_orca2_[0-9][0-9].png
+do
+  figspltt_orca2="${figspltt_orca2} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+#
+figsplt_orca05=""
+for i in tst_plt_orca05_[0-9][0-9].png
+do
+  figsplt_orca05="${figsplt_orca05} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltz_orca05=""
+for i in tst_pltz_orca05_[0-9][0-9].png
+do
+  figspltz_orca05="${figspltz_orca05} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltt_orca05=""
+for i in tst_pltt_orca05_[0-9][0-9].png
+do
+  figspltt_orca05="${figspltt_orca05} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+##
+#
+figsplt_lev_stride=""
+for i in tst_plt_lev_stride_[0-9][0-9].png
+do
+  figsplt_lev_stride="${figsplt_lev_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltz_lev_stride=""
+for i in tst_pltz_lev_stride_[0-9][0-9].png
+do
+  figspltz_lev_stride="${figspltz_lev_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltt_lev_stride=""
+for i in tst_pltt_lev_stride_[0-9][0-9].png
+do
+  figspltt_lev_stride="${figspltt_lev_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+#
+figsplt_orca2_stride=""
+for i in tst_plt_orca2_stride_[0-9][0-9].png
+do
+  figsplt_orca2_stride="${figsplt_orca2_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltz_orca2_stride=""
+for i in tst_pltz_orca2_stride_[0-9][0-9].png
+do
+  figspltz_orca2_stride="${figspltz_orca2_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltt_orca2_stride=""
+for i in tst_pltt_orca2_stride_[0-9][0-9].png
+do
+  figspltt_orca2_stride="${figspltt_orca2_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+#
+figsplt_orca05_stride=""
+for i in tst_plt_orca05_stride_[0-9][0-9].png
+do
+  figsplt_orca05_stride="${figsplt_orca05_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltz_orca05_stride=""
+for i in tst_pltz_orca05_stride_[0-9][0-9].png
+do
+  figspltz_orca05_stride="${figspltz_orca05_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+figspltt_orca05_stride=""
+for i in tst_pltt_orca05_stride_[0-9][0-9].png
+do
+  figspltt_orca05_stride="${figspltt_orca05_stride} \<link xl:href=\"figpng\/${i}\"\>\&showfig\;\<\/link\>"
+done
+##
+cd .. # ie <working space of saxo>/SRC/Documentation/xmldoc
+#
+rm firststeps_sed.xml 2> /dev/null
+sed -e s/"\&figsplt_lev\;"/"${figsplt_lev}"/g \
+-e s/"\&figsplt_orca2\;"/"${figsplt_orca2}"/g \
+-e s/"\&figsplt_orca05\;"/"${figsplt_orca05}"/g \
+-e s/"\&figspltz_lev\;"/"${figspltz_lev}"/g \
+-e s/"\&figspltz_orca2\;"/"${figspltz_orca2}"/g \
+-e s/"\&figspltz_orca05\;"/"${figspltz_orca05}"/g \
+-e s/"\&figspltt_lev\;"/"${figspltt_lev}"/g \
+-e s/"\&figspltt_orca2\;"/"${figspltt_orca2}"/g \
+-e s/"\&figspltt_orca05\;"/"${figspltt_orca05}"/g \
+-e s/"\&figsplt_lev_stride\;"/"${figsplt_lev_stride}"/g \
+-e s/"\&figsplt_orca2_stride\;"/"${figsplt_orca2_stride}"/g \
+-e s/"\&figsplt_orca05_stride\;"/"${figsplt_orca05_stride}"/g \
+-e s/"\&figspltz_lev_stride\;"/"${figspltz_lev_stride}"/g \
+-e s/"\&figspltz_orca2_stride\;"/"${figspltz_orca2_stride}"/g \
+-e s/"\&figspltz_orca05_stride\;"/"${figspltz_orca05_stride}"/g \
+-e s/"\&figspltt_lev_stride\;"/"${figspltt_lev_stride}"/g \
+-e s/"\&figspltt_orca2_stride\;"/"${figspltt_orca2_stride}"/g \
+-e s/"\&figspltt_orca05_stride\;"/"${figspltt_orca05_stride}"/g \
+firststeps.xml > firststeps_sed.xml
+#
+# exit
+exit 0
Index: trunk/SRC/Documentation/xmldoc/getsaxo_pre.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo_pre.sh	(revision 345)
+++ trunk/SRC/Documentation/xmldoc/getsaxo_pre.sh	(revision 345)
@@ -0,0 +1,70 @@
+#! /bin/sh
+#
+# module :
+# ++ working on getsaxo.xml before processing for HTML and wiki
+#
+# update :
+# $Id$
+#
+# fplod 2008-04-15T10:53:26Z aedon.locean-ipsl.upmc.fr (Darwin)
+# creation from makehtml.sh
+# adapation to docbook 5.0
+#
+set -u
+set -o posix
+#
+case $( whoami ) in
+    smasson)
+        lgforge=smasson
+    ;;
+    floseb)
+        lgforge=smasson
+    ;;
+    *)
+        lgforge=saxo
+    ;;
+esac
+#
+# size of SRC and DATA with .svn
+szallsvn=$( du -sh ../../.. | awk '{print $1}' )
+szallsvn=${szallsvn%*M}
+# size of SRC with .svn
+szsrcsvn=$( du -sh ../../../SRC | awk '{print $1}' )
+szsrcsvn=${szsrcsvn%*M}
+# size of DATA with .svn
+szdatasvn=$( du -sh ../../../DATA | awk '{print $1}' )
+szdatasvn=${szdatasvn%*M}
+#
+echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd two times"
+#
+# find the most recent SAXO_SRC_yyyymmddrxxx.tar.gz in
+# /ipsl/forge/projets/saxo/download/
+infosrc=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
+filesrc=$(echo ${infosrc} | awk '{print $NF}')
+szsrc=$(echo ${infosrc} | awk '{print $5}')
+#
+# ndate is the date in the file SAXO_SRC_*.tar.gz
+ndate=${filesrc##*_}
+ndate=${ndate%.tar.gz}
+#
+# find the most recent SAXO_DATA_yyyymmddrxxx.tar.gz in
+# /ipsl/forge/projets/saxo/download/
+infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
+filedata=$(echo ${infodata} | awk '{print $NF}')
+szdata=$(echo ${infodata} | awk '{print $5}')
+#
+# ndate2 is the date in the file SAXO_DATA_*.tar.gz
+ndate2=${filedata##*_}
+ndate2=${ndate2%.tar.gz}
+#
+sed -e s/"\&date\;"/${ndate}/g \
+    -e s/"\&date2\;"/${ndate2}/g \
+    -e s/"\&szsrc\;"/${szsrc}/g \
+    -e s/"\&szdata\;"/${szdata}/g \
+    -e s/"\&szallsvn\;"/${szallsvn}/g \
+    -e s/"\&szsrcsvn\;"/${szsrcsvn}/g \
+    -e s/"\&szdatasvn\;"/${szdatasvn}/g \
+    getsaxo.xml > getsaxo_sed.xml
+#
+# exit
+exit 0
Index: trunk/SRC/Documentation/xmldoc/makefile
===================================================================
--- trunk/SRC/Documentation/xmldoc/makefile	(revision 345)
+++ trunk/SRC/Documentation/xmldoc/makefile	(revision 345)
@@ -0,0 +1,534 @@
+#
+# module :
+# generation of documentations from XML files (and some IDL files) in HTML and
+# wiki forms
+#
+# original location :
+# /Users/fplod/SAXO_DIR_ws/SRC/Documentation/xmldoc/makefile sur aedon.locean-ipsl.upmc.fr
+#
+# update :
+# ++ wiki production not ready
+# $Id$
+# fplod 2008-04-15T15:37:59Z aedon.locean-ipsl.upmc.fr (Darwin)
+# java is not ok now :
+# http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl; Ligne #53; Colonne #35; XSLT Error (javax.xml.transform.TransformerConfigurationException): javax.xml.transform.TransformerException: javax.xml.transform.TransformerException: Had IO Exception with stylesheet file: keywords.xsl
+# replaced by xsltproc which is now ok for callouts
+# fplod 2008-04-15T08:10:09Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add xml validation using xmlstarlet
+# fplod 2007-06-27T10:07:59Z aedon.locean-ipsl.upmc.fr (Darwin)
+# creation in order to replace makehtml.sh
+#
+PRODUCT = \
+saxo
+
+DIRBASE = \
+./
+
+DIRSRC = \
+$(DIRBASE)
+
+DIRTMP = \
+./
+
+DIRWWW = \
+./
+
+DIRWIKI = \
+./wiki/
+
+help :
+	@echo "\$$ make clean"
+	@echo "\$$ make all"
+	@echo "\$$ make dbkcheck"
+	@echo "++ check link"
+	@echo "++ depot html et wiki"
+
+clean :
+	-@rm -f $(DIRTMP)/*_full.xml
+	-@rm -f $(DIRTMP)/err_xmlstarlet_xsd
+	-@rm -f $(DIRTMP)/rowscm.xml
+	-@rm -f $(DIRTMP)/rowskwd.xml
+	-@rm -f $(DIRTMP)/all_plots.xml
+
+dbkcheck :
+	@-rm $(DIRTMP)/err_xmlstarlet_xsd 2> /dev/null
+	@for file in $(DIRTMP)/*_full.xml all_plots.xml; do \
+	xml val --err \
+	--xsd http://www.docbook.org/xml/5.0/xsd/docbook.xsd \
+	$${file} 1>> $(DIRTMP)/err_xmlstarlet_xsd 2>&1; done
+	@echo "check for valid diag for each file in $(DIRTMP)/err_xmlstarlet_xsd"
+
+all : \
+html \
+tracwiki
+
+html : \
+$(DIRWWW)/getsaxo.html \
+$(DIRWWW)/websaxo.html \
+$(DIRWWW)/whatsnew.html \
+$(DIRWWW)/updatesaxo.html \
+$(DIRWWW)/whatissaxo.html \
+$(DIRWWW)/faqsaxo.html \
+$(DIRWWW)/infoupdatekwd.html \
+$(DIRWWW)/infoupdatecm.html \
+$(DIRWWW)/mailing.html \
+$(DIRWWW)/tiplink.html \
+$(DIRWWW)/mini_notice.html \
+$(DIRWWW)/firststeps.html \
+$(DIRWWW)/all_plots.html
+
+tracwiki : \
+$(DIRWIKI)/AllPlots \
+$(DIRWIKI)/GetSaxo \
+$(DIRWIKI)/WebSaxo \
+$(DIRWIKI)/FaqSaxo \
+$(DIRWIKI)/Firststeps \
+$(DIRWIKI)/InfoUpdateKwd \
+$(DIRWIKI)/InfoUpdateCm \
+$(DIRWIKI)/Mailing \
+$(DIRWIKI)/MiniNotice \
+$(DIRWIKI)/Tiplink \
+$(DIRWIKI)/WhatisSaxo \
+$(DIRWIKI)/UpdateSaxo \
+$(DIRWIKI)/WhatsNew
+	@echo "Do not forget to import wiki pages"
+	@echo "$ scp $(DIRWIKI) $(PRODUCT)@forge.ipsl.jussieu.fr:/tmp/"
+	@echo "$ ssh $(PRODUCT)@forge.ipsl.jussieu.fr trac-admin /ipsl/forge/projets/$(PRODUCT)/trac wiki import notes /tmp/$(PRODUCT)"
+	@echo "$ ssh $(PRODUCT)@forge.ipsl.jussieu.fr rm /tmp/$(PRODUCT)"
+	@echo "++ $ ssh $(PRODUCT)@forge.ipsl.jussieu.fr trac-admin /ipsl/forge/projets/$(PRODUCT)/trac wiki load /tmp/wiki/$(PRODUCT)/"
+
+
+$(DIRWIKI)/WebSaxo: \
+$(DIRTMP)/websaxo_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/websaxo_full.xml
+
+$(DIRWWW)/websaxo.html : \
+$(DIRTMP)/websaxo_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/websaxo_full.xml
+
+$(DIRTMP)/websaxo_full.xml : \
+$(DIRSRC)/websaxo.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/websaxo.xml
+
+$(DIRWIKI)/FaqSaxo: \
+$(DIRTMP)/faqsaxo_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/faqsaxo_full.xml
+
+$(DIRWWW)/faqsaxo.html : \
+$(DIRTMP)/faqsaxo_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/faqsaxo_full.xml
+
+$(DIRTMP)/faqsaxo_full.xml : \
+$(DIRSRC)/faqsaxo.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/faqsaxo.xml
+
+$(DIRWIKI)/GetSaxo: \
+$(DIRTMP)/getsaxo_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/getsaxo_full.xml
+
+$(DIRWWW)/getsaxo.html : \
+$(DIRTMP)/getsaxo_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/getsaxo_full.xml
+
+$(DIRTMP)/getsaxo_full.xml : \
+$(DIRSRC)/getsaxo.xml \
+$(DIRSRC)/getsaxo_pre.sh
+	@$(DIRSRC)/getsaxo_pre.sh
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRTMP)/getsaxo_sed.xml
+
+$(DIRWIKI)/Firststeps : \
+$(DIRTMP)/firststeps_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/firststeps_full.xml
+
+$(DIRWWW)/firststeps.html : \
+$(DIRTMP)/firststeps_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/firststeps_full.xml
+
+$(DIRWIKI)/AllPlots: \
+$(DIRTMP)/all_plots.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/all_plots.xml
+
+$(DIRWWW)/all_plots.html : \
+$(DIRTMP)/all_plots.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/all_plots.xml
+
+
+$(DIRTMP)/all_plots.xml : \
+$(DIRSRC)/all_plots_docbook.xsl \
+$(DIRTMP)/firststeps_full.xml
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/all_plots_docbook.xsl \
+	$(DIRTMP)/firststeps_full.xml
+
+$(DIRTMP)/firststeps_full.xml : \
+$(DIRSRC)/firststeps.xml \
+$(DIRSRC)/firststeps_pre.sh
+	@$(DIRSRC)/firststeps_pre.sh
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRTMP)/firststeps_sed.xml
+	@rm $(DIRTMP)/firststeps_sed.xml 2> /dev/null
+
+$(DIRWIKI)/Mailing : \
+$(DIRTMP)/mailing_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/mailing_full.xml
+
+$(DIRWWW)/mailing.html : \
+$(DIRTMP)/mailing_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/mailing_full.xml
+
+$(DIRTMP)/mailing_full.xml : \
+$(DIRSRC)/mailing.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/mailing.xml
+
+$(DIRWIKI)/MiniNotice : \
+$(DIRTMP)/mini_notice_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/mini_notice_full.xml
+
+$(DIRWWW)/mini_notice.html : \
+$(DIRTMP)/mini_notice_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/mini_notice_full.xml
+
+$(DIRTMP)/mini_notice_full.xml : \
+$(DIRSRC)/mini_notice.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/mini_notice.xml
+
+$(DIRWIKI)/Tiplink : \
+$(DIRTMP)/tiplink_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/tiplink_full.xml
+
+$(DIRWWW)/tiplink.html : \
+$(DIRTMP)/tiplink_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/tiplink_full.xml
+
+$(DIRTMP)/tiplink_full.xml : \
+$(DIRSRC)/tiplink.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/tiplink.xml
+
+$(DIRWIKI)/InfoUpdateCm : \
+$(DIRTMP)/infoupdatecm_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/infoupdatecm_full.xml
+
+$(DIRWWW)/infoupdatecm.html : \
+$(DIRTMP)/infoupdatecm_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/infoupdatecm_full.xml
+
+$(DIRTMP)/infoupdatecm_full.xml : \
+$(DIRSRC)/infoupdatecm.xml \
+$(DIRTMP)/rowscm.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/infoupdatecm.xml
+
+$(DIRWIKI)/InfoUpdateKwd : \
+$(DIRTMP)/infoupdatekwd_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/infoupdatekwd_full.xml
+
+$(DIRWWW)/infoupdatekwd.html : \
+$(DIRTMP)/infoupdatekwd_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/infoupdatekwd_full.xml
+
+$(DIRTMP)/infoupdatekwd_full.xml : \
+$(DIRTMP)/infoupdatekwd.xml \
+$(DIRTMP)/rowskwd.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRTMP)/infoupdatekwd.xml
+
+$(DIRTMP)/rowscm.xml : \
+../../ForOldVersion/updateold.pro
+	@echo "<tbody>" > $@
+	@grep "IF NOT key_forgetold AND n_elements(\(.* = .*\)" ../../ForOldVersion/updateold.pro | \
+	sort | \
+	sed -e "s/\(^.* THEN \)\(.*\)\( = \)\(.*\)/<row><entry colname='old'><varname>\2<\/varname><\/entry> <entry colname='new'><varname>\4<\/varname><\/entry><\/row>/" >> $@
+	@echo "</tbody>" >> $@
+
+$(DIRTMP)/rowskwd.xml : \
+../../ForOldVersion/updatekwd.pro
+	@echo "<tbody>" > $@
+	@grep "^  old = \[old, .* new = \[new" ../../ForOldVersion/updatekwd.pro | \
+	sort | \
+	sed -e "s/\( old = \[old, '\)\(.*\)\('\] *& new = \[new, '\)\(.*\)\('\]\)/<row><entry colname='old'><varname>\2<\/varname><\/entry> <entry colname='new'><varname>\4<\/varname><\/entry><\/row>/" >> $@
+
+	@echo "</tbody>" >> $@
+
+$(DIRWIKI)/WhatisSaxo : \
+$(DIRTMP)/whatissaxo_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/whatissaxo_full.xml
+
+$(DIRWWW)/whatissaxo.html : \
+$(DIRTMP)/whatissaxo_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/whatissaxo_full.xml
+
+$(DIRTMP)/whatissaxo_full.xml : \
+$(DIRSRC)/whatissaxo.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/whatissaxo.xml
+
+$(DIRWIKI)/WhatsNew : \
+$(DIRTMP)/whatsnew_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/whatsnew_full.xml
+
+$(DIRWWW)/whatsnew.html : \
+$(DIRTMP)/whatsnew_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/whatsnew_full.xml
+	
+$(DIRTMP)/whatsnew_full.xml : \
+$(DIRSRC)/whatsnew.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/whatsnew.xml
+
+$(DIRWIKI)/UpdateSaxo : \
+$(DIRTMP)/updatesaxo_full.xml \
+$(DIRSRC)/main_tracwiki.xsl
+	@xsltproc \
+	--output $@ \
+	$(DIRSRC)/main_tracwiki.xsl \
+	$(DIRTMP)/updatesaxo_full.xml
+
+$(DIRWWW)/updatesaxo.html : \
+$(DIRTMP)/updatesaxo_full.xml \
+$(DIRSRC)/saxo_html.xsl \
+$(DIRSRC)/style.css \
+$(DIRSRC)/$(PRODUCT).css
+	@xsltproc \
+	--param html.stylesheet "'style.css $(PRODUCT).css'" \
+	--param css.decoration 1 \
+	--param link.mailto.url "'mailto:saxo-dev_at_forge.ipsl.jussieu.fr'" \
+	--param section.autolabel 1 \
+	--output $@ \
+	$(DIRSRC)/saxo_html.xsl \
+	$(DIRTMP)/updatesaxo_full.xml
+	
+$(DIRTMP)/updatesaxo_full.xml : \
+$(DIRSRC)/updatesaxo.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$(DIRSRC)/updatesaxo.xml
+
+$(DIRTMP)/titlepage.main.xsl : \
+$(DIRSRC)/titlepage.main.xml
+	@xsltproc \
+	--output $@ \
+	http://docbook.sourceforge.net/release/xsl/current/template/titlepage.xsl \
+	$(DIRSRC)/titlepage.main.xml
+	$(DIRSRC)/titlepage.main.xml
Index: trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 344)
+++ trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 345)
@@ -8,4 +8,6 @@
 # released on 1 September 2005) doesn't handle carriage returns
 #
+# fplod 2008-04-16T09:02:05Z aedon.locean-ipsl.upmc.fr (Darwin)
+# this file is not used anymore. see makefile.
 # fplod 2007-06-27T11:54:26Z aedon.locean-ipsl.upmc.fr (Darwin)
 # replacing saxon by xalan because of better results on callouts
